From 2460db0100248cc00d72157af992be7ba1de6b0b Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jun 21 2017 13:40:40 +0000
Subject: [PATCH 872/1001] Add a test for /stream/existing


---

diff --git a/hubs/tests/views/test_user.py b/hubs/tests/views/test_user.py
index 7df2c1d..f15192c 100644
--- a/hubs/tests/views/test_user.py
+++ b/hubs/tests/views/test_user.py
@@ -3,11 +3,34 @@ from __future__ import unicode_literals
 import json
 import unittest
 
+from mock import Mock, patch
+
 import hubs.tests
 import hubs.models
 from hubs.app import app
 
 
+class TestStreamExisting(hubs.tests.APPTest):
+    user = hubs.tests.FakeAuthorization('ralph')
+
+    @patch("hubs.feed.Notifications")
+    def test_get(self, Notifications):
+        feed = Mock()
+        Notifications.return_value = feed
+        feed.get.return_value = [{
+            "markup": "foo", "link": "bar",
+        }]
+        with hubs.tests.auth_set(app, self.user):
+            resp = self.app.get('/stream/existing')
+
+        self.assertEqual(resp.status_code, 200)
+        data = json.loads(resp.get_data(as_text=True))
+        self.assertEqual(data["status"], "OK")
+        self.assertEqual(len(data["data"]), 1)
+        self.assertEqual(data["data"][0]['markup'], 'foo')
+        self.assertEqual(data["data"][0]['link'], 'bar')
+
+
 class TestGetNotifications(hubs.tests.APPTest):
     user = hubs.tests.FakeAuthorization('ralph')
 
@@ -19,7 +42,9 @@ class TestGetNotifications(hubs.tests.APPTest):
         self.assertEqual(resp.status_code, 200)
         data = json.loads(resp.get_data(as_text=True))
         self.assertEqual(data["status"], "OK")
-        self.assertEqual(data["data"], [])
+        self.assertEqual(len(data["data"]), 1)
+        self.assertEqual(data["data"][0]['markup'], 'foo')
+        self.assertEqual(data["data"][0]['link'], 'bar')
 
     def test_get_notifications_valid_name(self):
         with hubs.tests.auth_set(app, self.user):

